incubator-deltacloud-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Clift <jcl...@redhat.com>
Subject Re: List of Cloud Service Providers
Date Tue, 24 May 2011 06:05:31 GMT
On 13/05/2011, at 12:31 AM, Michal Fojtik wrote:
> On May 12, 2011, at 4:00 PM, Eric Woods wrote:
> 
> Hi,
> 
>> Sorry for the delayed response.  A certain company, Red Hat, threw this conference
that I had to prepare a demo for :)
>> 
>> The IBM SmartCloud driver doesn't have special requirements beyond replying to the
401 challenge with your IBM SmartCloud credentials.  A sentence like this would do:
>> 
>> "When using the IBM SmartCloud driver, the credentials passed in response to the
HTTP 401 authentication challenge should be your IBM SmartCloud username and password."
>> 
>> As one of my first acts as committer, I can update the drivers.html accordingly.
 One more thing, almost everyone hits a problem when installing DeltaCloud for the first time
with the rack gem.  DeltaCloud expects rack-1.0.0 through rack 1.1.0, but most machines have
a newer version.  For someone new to ruby, it's their blocker.  Documentation outlining the
following fix should be added somewhere:
> 
> We should fix this and remove unnecessary require here. I though this was pulled in because
> few months ago rack 1.0.x was broken against sinatra but this should be fixed right now.
> 
> I'll send a patch tomorrow.

Hey Michal,

(for when you get back from PTO)

How'd looking at this Rack version dependency go?  Can we nuke the 1.1.0 requirement?

Regards and best wishes,

Justin Clift

--
Aeolus Community Manager
http://www.aeolusproject.org



Mime
View raw message